// Demo of MinPrintf
#include <MinPrintf.h>

// Serial MinPrintf object.
MinPrintf mpr(&Serial);
//------------------------------------------------------------------------------
// MinPrintf
void min_print() {
  mpr.printf(F("time: %lu usec, adc: %u\n"), micros(), analogRead(5)); 
}
//------------------------------------------------------------------------------
// Arduino print.
void ArduinoPrint() {
  Serial.print(F("time: "));
  Serial.print(micros());
  Serial.print(F(" usec, adc: "));
  Serial.println(analogRead(5));
}
//------------------------------------------------------------------------------
void setup() {
  Serial.begin(9600);
  min_print(); 
  ArduinoPrint();
}
void loop() {}